local LD = require("design.LevelDesignLibrary")
local uiCalls = require("ui.uicalls")
local xpl625enter = false
local xpl625DoorGated = false
function OnScriptLoaded(level)
  game.Audio.StartMusicMaster("SND_MX_XPL600_start_master")
end
function OnFirstStart(level)
end
function OnStart(level)
  local Zipline_TopPOS = GameObjects.Zipline_Top
  local Zipline_BottomPOS = GameObjects.Zipline_Bottom
  local Zipline = GameObjects.zipline
  Zipline:SetZiplineStartAndEnd(Zipline_TopPOS:GetWorldPosition(), Zipline_BottomPOS:GetWorldPosition())
end
function CanDontTellFreyaPlay()
  return game.Audio.CanBanterConversationPlay("DontTellFreya")
end
function enterXpl625Music()
  if not IsValkyrieQueenDead() and xpl625enter == false then
    game.Audio.StartMusic("SND_MX_XPL600_mason_trail_enter")
    xpl625enter = true
  end
end
function xpl625DoorMusic()
  if not IsValkyrieQueenDead() and xpl625DoorGated == false then
    game.Audio.StartMusic("SND_MX_XPL600_throne_door")
    xpl625DoorGated = true
  end
end
function IsValkyrieQueenDead()
  return game.QuestManager.GetQuestState("Quest_Valkyrie_Queen_Kill") == "Complete"
end
